public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nagios-plugins-linux-madrisan/
Date: Fri,  9 Aug 2024 13:56:09 +0000 (UTC)	[thread overview]
Message-ID: <1723211472.c33ea8fdb98f3f3737079f2ab86c52d32e360ae4.sbraz@gentoo> (raw)

commit:     c33ea8fdb98f3f3737079f2ab86c52d32e360ae4
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  9 13:49:28 2024 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Fri Aug  9 13:51:12 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c33ea8fd

net-analyzer/nagios-plugins-linux-madrisan: add 34

Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 .../nagios-plugins-linux-madrisan/Manifest         |  1 +
 .../nagios-plugins-linux-madrisan-34.ebuild        | 48 ++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/net-analyzer/nagios-plugins-linux-madrisan/Manifest b/net-analyzer/nagios-plugins-linux-madrisan/Manifest
index c7e2d98f4748..1d1541ab8c76 100644
--- a/net-analyzer/nagios-plugins-linux-madrisan/Manifest
+++ b/net-analyzer/nagios-plugins-linux-madrisan/Manifest
@@ -1,2 +1,3 @@
 DIST nagios-plugins-linux-madrisan-32.tar.xz 402976 BLAKE2B ef66934315f3ddbee1a2d84723477773549c9a5ed731853780ef15b9f44ea462256f730f854d517415dce2b944a4bf0abcbfa0623a7a1faffef4b5bbf162af76 SHA512 42392c123961bb17192344f20973a3d26c74aeef112638384d5b7a687e7117a3378d6efdb07ad15a7309f5db621404602e9c2beb0dcc4e207924d0d3a466ab59
 DIST nagios-plugins-linux-madrisan-33.tar.xz 397516 BLAKE2B 39e428d7b44104e01f8101ec33d250b8317c2ab9a5772bd815baf91c14eb1aeffc2aaaec1696e338d9aa31ebd9cb67d10a2049bc78a1bd8fea813761def36d26 SHA512 9b0df712d799ea5ae1eca8135089e41f167446e40416dbfe090ec855476318b26d8fdc3865470bf6cf54e7dcbce483d1f577a886ef35023e983e2508a307df70
+DIST nagios-plugins-linux-madrisan-34.tar.xz 399116 BLAKE2B f5fae6818c0aa87a140238cde28e7ea24fb19976274e301df03308c97d980e1ddfca51861d6302321b3959f67e426fdcf501787525d3a81ab6850ccaf4cc6d34 SHA512 a189135c590c5086bc7b3c1bb9f5ec1d15c55a542d39a578743abe62678dad961115b7180a62dfaf7ffc9f63679e33d0d2253b51feeae775fa1c5a3a7cd22149

diff --git a/net-analyzer/nagios-plugins-linux-madrisan/nagios-plugins-linux-madrisan-34.ebuild b/net-analyzer/nagios-plugins-linux-madrisan/nagios-plugins-linux-madrisan-34.ebuild
new file mode 100644
index 000000000000..4cb8f2a417f3
--- /dev/null
+++ b/net-analyzer/nagios-plugins-linux-madrisan/nagios-plugins-linux-madrisan-34.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+MY_PN="nagios-plugins-linux"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Additional and alternative Nagios plugins for Linux"
+HOMEPAGE="https://github.com/madrisan/nagios-plugins-linux"
+SRC_URI="https://github.com/madrisan/${MY_PN}/releases/download/v${PV}/${MY_P}.tar.xz -> ${P}.tar.xz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="curl systemd"
+
+DEPEND="
+	curl? ( net-misc/curl:0= )
+	systemd? ( sys-apps/systemd:= )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	default
+	# Avoid collision with net-analyzer/monitoring-plugins
+	# and net-analyzer/nagios-plugins
+	sed -ri "s/check_(load|swap|uptime|users)/&_madrisan/" plugins/Makefile.am || die
+	eautoreconf
+}
+
+src_configure() {
+	local myconf=(
+		--libexecdir="${EPREFIX}/usr/$(get_libdir)/nagios/plugins"
+		# Most options are already defaults for Gentoo
+		--disable-hardening
+		$(use_enable curl libcurl)
+		$(use_enable systemd)
+	)
+	econf "${myconf[@]}"
+}
+
+src_test() {
+	emake check VERBOSE=1
+}


             reply	other threads:[~2024-08-09 13:56 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-08-09 13:56 Louis Sautier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-09 13:56 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nagios-plugins-linux-madrisan/ Louis Sautier
2024-06-29 18:14 Louis Sautier
2024-04-04  0:25 Louis Sautier
2024-02-25 15:41 Louis Sautier
2022-10-13  0:01 Louis Sautier
2022-10-13  0:01 Louis Sautier
2022-01-30 13:29 Louis Sautier
2022-01-30 13:29 Louis Sautier
2021-07-21 18:14 Louis Sautier
2021-07-21 18:14 Louis Sautier
2020-12-12 19:53 Louis Sautier
2020-12-12 19:53 Louis Sautier
2020-08-10 15:27 Louis Sautier
2020-05-05 22:56 Louis Sautier
2020-05-05 18:35 Louis Sautier
2020-05-05 18:12 Louis Sautier
2019-08-28 23:54 Louis Sautier
2019-08-27 22:47 Louis Sautier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1723211472.c33ea8fdb98f3f3737079f2ab86c52d32e360ae4.sbraz@gentoo \
    --to=sbraz@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox